import request from '@/utils/request'

// 查询代理商区域列表
export function listBusiAgentsLocation(query) {
  return request({
    url: '/voluntary/busiAgentsLocation/list',
    method: 'get',
    params: query
  })
}

// 查询代理商区域详细
export function getBusiAgentsLocation(id) {
  return request({
    url: '/voluntary/busiAgentsLocation/' + id,
    method: 'get'
  })
}

// 新增代理商区域
export function addBusiAgentsLocation(data) {
  return request({
    url: '/voluntary/busiAgentsLocation',
    method: 'post',
    data: data
  })
}

// 修改代理商区域
export function updateBusiAgentsLocation(data) {
  return request({
    url: '/voluntary/busiAgentsLocation',
    method: 'put',
    data: data
  })
}

// 删除代理商区域
export function delBusiAgentsLocation(id) {
  return request({
    url: '/voluntary/busiAgentsLocation/' + id,
    method: 'delete'
  })
}
